require "import"
import "android.content.Intent"
import "android.net.Uri"
import "android.widget.*"
import "android.widget.EditText"
import "android.widget.LinearLayout"
import "com.androlua.LuaDialog"
import "android.widget.Toast"

local current_file -- Variabel untuk menyimpan file saat ini
function handleSearch()
local searchText = file_name.getText().toString()
 if searchText == "" then
Toast.makeText(service, "Masukkan nama stasiun radio terlebih dahulu", Toast.LENGTH_SHORT).show()
else
Toast.makeText(service, "mencari radio: " .. searchText, Toast.LENGTH_SHORT).show()
dlg.dismiss()
task(2000,function()
local url = "https://onlineradiobox.com/search?q=" .. file_name.text
local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
this.startActivity(intent)
ucapkan = "memutar radio: " .. file_name.text
service.click({{"putar*>15$1500","%Layar utama","%service.speak(ucapkan)"}})
end)
end
end

InputLayout = {
LinearLayout;
orientation = "vertical";
{
EditText;
hint = "ketik nama stasiun radio di sini";
text = "";
id = "file_name";
},
{
Button,
text = "Cari", -- Tombol "Cari"
onClick = function(view)
handleSearch()
end},{Button,
text = "penelusuran suara",
onClick = function(view)
service.click({{"%Dikte suara",}})
end},
{        GridView,
id = "grid",
numColumns = 3,
layout_width = "fill",
layout_height = "wrap",
};
}

local items = {
"RRI Pro",
    "Bens Radio",
    "Iradio",
    "Suara Surabaya",
    "Metta Fm",
    "bantuan",
}
dlg = LuaDialog(this)
dlg.setView(loadlayout(InputLayout))
grid.adapter = ArrayAdapter(this, android.R.layout.simple_list_item_1, items)
dlg.setTitle("Selamat datang di radio streaming")
dlg.setMessage("Cari radio yang anda tuju")
dlg.setButton("Tutup", nil)
dlg.show()

grid.onItemClick = function(l, v)
if v.text == "RRI Pro" then
service.playSoundTick()
local url = "https://www.radioindonesia.org/rri-pro-3"
local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
this.startActivity(intent)
dlg.dismiss()
ucapkan = "memutar radio RRI Pro"
service.click({{"bermain|play*>15$1500","%Layar utama","%service.speak(ucapkan)"}})
elseif v.text == "Bens Radio" then
service.playSoundTick()
local url = "https://www.bensradio.com"
local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
this.startActivity(intent)
dlg.dismiss()
ucapkan = "memutar Bens Radio" 
service.click({{"play_arrow*>15$1500","%Layar utama","%service.speak(ucapkan)"}})
elseif v.text == "Iradio" then
service.playSoundTick()
local url = "https://iradiofm.com/streaming"
local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
this.startActivity(intent)
dlg.dismiss()
ucapkan = "memutar IRadio" 
service.click({{"play|main>45000$1500","%Layar utama","%service.speak(ucapkan)"}})
elseif v.text == "Suara Surabaya" then
service.playSoundTick()
local url = "https://radioindonesia.org/suara-surabaya"
local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
this.startActivity(intent)
dlg.dismiss()
ucapkan = "memutar Suara Surabaya" 
service.click({{"play|bermain>15$1500","%Layar utama","%service.speak(ucapkan)"}})
elseif v.text == "Metta Fm" then
service.playSoundTick()
local url = "https://mettafm.com/streaming"
local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
this.startActivity(intent)
dlg.dismiss()
ucapkan = "memutar Metta Fm" 
service.click({{"play|main>45000$1500","%Layar utama","%service.speak(ucapkan)"}})
elseif v.text == "bantuan" then
print("Sedikit petunjuk dari akang: Cara menggunakan ekstensi ini, tulis nama radio yang akan kita dengarkan. Kemudian klik tombol cari, atau gunakan penelusuran suara, atau klik radio yang sudah ada. Untuk mematikan radio, gunakan putar jeda pada menu pungsi yang ada di jieshuo. Peringatan keras! Jangan sekali-sekali menggunakan ekstensi ini dalam keadaan tidak ada kuota. dijamin ekstensinya tidak akan berjalan. wk wk wk wk, canda dikit")
--Tambahkan perintah lainnya di bawah sini jika diperlukan
end
end